Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bot.talk
Class TimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              bot.talk.TimeoutException

All Implemented Interfaces:
  java.io.Serializable

    public class TimeoutException

extends java.lang.Exception

This exception is a little more general than its name implies: any socket or i/o exception during transfer results in a timeout exception.

Author:
  Martin Zinkevich
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `description` A short description of the error
`int` | `playerIndex` The index of the player that times out.
`private static long` | `serialVersionUID`
`boolean` | `serious` A serious timeout exception is caused by a message that fails to send.

Constructor Summary
`TimeoutException(int playerIndex, boolean serious)`
`TimeoutException(int playerIndex, boolean serious, java.lang.String description)` Creates a new instance of TimeoutException

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### playerIndex

    public int playerIndex

  The index of the player that times out.

### serious

    public boolean serious

  A serious timeout exception is caused by a message that fails to send. Because a failure to send might not be representable by any standard signal, the player forfeits the remainder of his blinds.

### description

    public java.lang.String description

  A short description of the error

Constructor Detail

### TimeoutException

    public TimeoutException(int playerIndex,
                            boolean serious,
                            java.lang.String description)

  Creates a new instance of TimeoutException

### TimeoutException

    public TimeoutException(int playerIndex,
                            boolean serious)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD